## sugar-firefox-activity 6+dfsg

=== Makefile ===
PACKAGE=Firefox
VERSION=6
UPSTREAM_VERSION=3.0.1
UPSTREAM_BASE_URL=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/$(UPSTREAM_VERSION)
UPSTREAM=firefox-$(UPSTREAM_VERSION).tar.bz2
# canonical list of languages supported is in firefox-activity.py
LANGUAGES=$(shell ./firefox-activity.py --languages)
ACTIVITY_FILES=\
	activity/activity.info \
	activity/activity-firefox.svg
EXTRA_FILES=\
	Makefile \
        install-flash \
        install-java \
	firefox-activity.py \
	localstore.rdf \
	vendor.js

bundle: $(PACKAGE)-$(VERSION).xo

download:
	wget -N $(UPSTREAM_BASE_URL)/linux-i686/en-US/$(UPSTREAM)
	wget -N -P lang $(foreach f,$(LANGUAGES),$(UPSTREAM_BASE_URL)/linux-i686/xpi/$(f).xpi)

update-version:
	sed -e '/general.useragent.vendorSub/c pref("general.useragent.vendorSub", "$(PACKAGE)-$(VERSION)");' \
	    -i vendor.js
	sed -e '/^name/c name = $(PACKAGE)' \
	    -e '/^activity_version/c activity_version = $(VERSION)' \
	    -i activity/activity.info
	sed -e '/^<a href="/c <a href="$(PACKAGE)-$(VERSION).xo">$(PACKAGE)-$(VERSION).xo</a>' \
	    -e '/^<span class="olpc-activity-version"/c <span class="olpc-activity-version">$(VERSION)</span>' \
	    -i update.html

$(PACKAGE)-$(VERSION).xo: $(UPSTREAM) $(ACTIVITY_FILES) $(EXTRA_FILES) \
	$(foreach f,$(LANGUAGES),lang/$(f).xpi)
	$(MAKE) update-version
	-$(RM) -r firefox $(PACKAGE)-$(VERSION).activity $@
	tar xjf $(UPSTREAM)
	mkdir -p firefox/activity
	cp $(ACTIVITY_FILES) firefox/activity/
	cp firefox-activity.py firefox
	# tweak defaults
	cp vendor.js firefox/defaults/pref/
	echo "browser.startup.homepage=file:///usr/share/library-common/index.html" \
	  > firefox/browserconfig.properties
	cp localstore.rdf firefox/defaults/profile/
	# install Sugar extension
	cp -r Sugar "firefox/extensions/sugar@laptop.org"
	# install language packs
	for l in $(LANGUAGES); do \
	  mkdir lang.tmp ; \
	  unzip -d lang.tmp lang/$$l.xpi ; \
	  dirname=`sed -ne 's/^.*em:id="\([^"]*\)".*$$/\1/p' lang.tmp/install.rdf` ; \
	  echo $$dirname ; \
	  mkdir firefox/extensions/$$dirname ; \
	  mv lang.tmp/{chrome,chrome.manifest,install.rdf} firefox/extensions/$$dirname/ ; \
	  $(RM) -r lang.tmp ; \
	done
	# install plugin helpers
	cp install-{java,flash} firefox/
	# give rainbox hints about permissions
	echo 'constant-uid' > firefox/activity/permissions.info
	# backwards compatibility with rainbow 0.7.20
	cp firefox/activity/permissions.info firefox/permissions.info
	# package as .xo
	find firefox -type f | sed -e 's:^firefox/::' > MANIFEST
	mv MANIFEST firefox/
	mv firefox $(PACKAGE)-$(VERSION).activity
	zip -r $@ $(PACKAGE)-$(VERSION).activity
	-$(RM) -r $(PACKAGE)-$(VERSION).activity

upload: $(PACKAGE)-$(VERSION).xo
	scp $< dev.laptop.org:public_html/bundles
	scp update.html dev.laptop.org:public_html/bundles/firefox.html

=== debian/changelog ===
sugar-firefox-activity (6+dfsg-0ubuntu2) maverick; urgency=low

  * Clarify licensing situation for package. 

 -- Luke Faraone <lfaraone@ubuntu.com>  Fri, 01 Oct 2010 10:17:16 -0400

sugar-firefox-activity (6+dfsg-0ubuntu1) maverick; urgency=low

  * Initial release (LP: #649994)

 -- Luke Faraone <lfaraone@ubuntu.com>  Thu, 30 Sep 2010 10:48:50 -0400

=== debian/control ===
Source: sugar-firefox-activity
Section: x11
Priority: optional
Maintainer: Ubuntu Sugarteam <ubuntu-sugarteam@lists.ubuntu.com>
XSBC-Original-Maintainer: Luke Faraone <lfaraone@debian.org>
Build-Depends: devscripts (>= 2.10.7~),
 dh-buildinfo,
 python-central,
 debhelper (>= 7.0.1),
 cdbs (>= 0.4.67~),
 python,
 python-sugar-0.88 | python-sugar,
 python-sugar-toolkit-0.88 | python-sugar-toolkit,
 unzip
Standards-Version: 3.9.1
Homepage: http://wiki.laptop.org/go/Firefox
Vcs-Git: git://git.debian.org/collab-maint/sugar-firefox-activity.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/sugar-firefox-activity.git

Package: sugar-firefox-activity
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, ${cdbs:Depends}
Description: Mozilla Firefox browser for the Sugar desktop
 Sugar is a graphical user interface aimed at children.
 .
 Originating as integral part of the OLPC "XO" a.k.a. the $100 laptop,
 Sugar has since grown into a more widely usable low-resource desktop
 environment for kids.
 .
 This package contains the Firefox activity.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Portions Copyright © 2008-2010 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for sugar-firefox-activity
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111-1307 USA.

DEB_PYTHON_SYSTEM = pycentral

include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

# We support all branches, but default to 0.88.
CDBS_DEPENDS = python, python-sugar-0.88 | python-sugar, python-sugar-toolkit-0.88 | python-sugar-toolkit

# Well, we exec Firefox so we sort of need it installed
CDBS_DEPENDS += , firefox

DEBIAN_DIR := $(shell echo ${MAKEFILE_LIST} | awk '{print $$1}' | xargs dirname )
UPSTREAM_VERSION ?=$(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
PACKAGE := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
CURRENT_VERSION ?=$(shell dpkg-parsechangelog | sed -n 's/^Version: \(.*\)+dfsg.*/\1/p')

get-orig-source:
	cd ${DEBIAN_DIR}/.. && uscan --force-download --upstream-version $(CURRENT_VERSION)
	tar xf ../Firefox-${UPSTREAM_VERSION}.tar.bz2
	rm -rf ${CURDIR}/Firefox-${UPSTREAM_VERSION}/firefox*.tar.bz2
	tar cf ${CURDIR}/${DEB_SOURCE_PACKAGE}_${UPSTREAM_VERSION}+dfsg.orig.tar Firefox-${UPSTREAM_VERSION}/
	bzip2 ${CURDIR}/${DEB_SOURCE_PACKAGE}_${UPSTREAM_VERSION}+dfsg.orig.tar

clean::
	find -name *.mo -delete
	find -name *.linfo -delete
	rm -rf Firefox-${UPSTREAM_VERSION}

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
http://dev.laptop.org/git/users/cscott/firefox-activity \
/snapshot/Firefox-(.*)\.tar\.bz2
